## com.bbn.openmap.geo
Interface MatchCollector

All Known Implementing Classes:
  MatchCollector.CollectionMatchCollector, MatchCollector.PairArrayMatchCollector, MatchCollector.SetMatchCollector

public interface MatchCollector

Nested Class Summary
`static class` `MatchCollector.CollectionMatchCollector`
`static class` `MatchCollector.Pair`
`static class` `MatchCollector.PairArrayMatchCollector` A MatchCollector that collects a list of pairs of the matching objects
`static class` `MatchCollector.SetMatchCollector`

Method Summary
`void` `collect(java.lang.Object a, java.lang.Object b)` collect an indication that the query object a (or some part of it) matches object b in some way, presumably by intersection.
`java.util.Iterator` `iterator()`

Method Detail

### collect

    public void collect(java.lang.Object a,
                        java.lang.Object b)

  collect an indication that the query object a (or some part of it) matches object b in some way, presumably by intersection.

  Parameters:
    `a` -
    `b` -

### iterator

    public java.util.Iterator iterator()

  Returns:
    an iterator over the previously collected elements *

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details